Jump to content

Welcome to the Heroes of Newerth forums

The forums have received a complete makeover. Click the button below to read more about it.
Read more

Recommended Posts

31 minutes ago, MadDMethods said:

So, i've been directed to post my error i'm getting on linux here by @Manu311

./hon-x86_64: symbol lookup error: /usr/lib/libharfbuzz.so.0: undefined symbol: FT_Done_MM_Var
This is what the terminal says, running Manjaro, latest updates.

Though I get various other errors, I've been spared from this one.

If my mind doesn't cheat me, I remember reading this somewhere on the web. No offense, you tried to google it?

Good luck with solving it!

Link to post
Share on other sites

You should verify you have a package called harfbuzz or libharfbuzz or sth similar installed.

Maybe there are different versions of that package, try to switch those around until it hopefully fixes the issue.

Also since "FT_.." is probably freetype, you might also have to look for packages called freetype or libfreetype.

Link to post
Share on other sites
  • 1 month later...

@Manu311 First off thank you for building / supporting this AppImage! 

I am having the same issue as OP - My google skills have also indicated an issue with Freetype2 or harfbuzz. I am new to arch so not sure how to switch between version of these packages however here what I am currently using >

pacman -Qi freetype2
Name            : freetype2
Version         : 2.10.2-1
Description     : Font rasterization library
Architecture    : x86_64
URL             : https://www.freetype.org/
Licenses        : GPL
Groups          : None
Provides        : libfreetype.so=6-64
Depends On      : zlib  bzip2  sh  libpng  harfbuzz
Optional Deps   : None
Required By     : ffmpeg  fontconfig  harfbuzz  imlib2  lib32-freetype2  libass  libbluray  libraqm  libwmf  libxfont2  steam-manjaro  vlc  wine  xorg-mkfontscale
Optional For    : grub  python-pillow  tumbler
Conflicts With  : None
Replaces        : None
Installed Size  : 1624.64 KiB
Packager        : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Build Date      : Sat 09 May 2020 01:05:37 PM CDT
Install Date    : Sun 14 Jun 2020 05:24:55 AM CDT
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature

pacman -Qi harfbuzz
Name            : harfbuzz
Version         : 2.6.7-1
Description     : OpenType text shaping engine
Architecture    : x86_64
URL             : https://www.freedesktop.org/wiki/Software/HarfBuzz
Licenses        : MIT
Groups          : None
Provides        : libharfbuzz.so=0-64  libharfbuzz-subset.so=0-64  libharfbuzz-gobject.so=0-64
Depends On      : glib2  freetype2  graphite  libglib-2.0.so=0-64  libfreetype.so=6-64  libgobject-2.0.so=0-64
Optional Deps   : cairo: hb-view program [installed]
Required By     : freetype2  harfbuzz-icu  lib32-harfbuzz  libass  pango  vlc
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 4.54 MiB
Packager        : Jan Alexander Steffens (heftig) <heftig@archlinux.org>
Build Date      : Wed 03 Jun 2020 04:24:10 AM CDT
Install Date    : Sun 14 Jun 2020 05:24:36 AM CDT
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

Do you know how I would install a different version of these packages with pacman?

 

 

Link to post
Share on other sites
11 minutes ago, enragedmonk said:

@Manu311 First off thank you for building / supporting this AppImage! 

I am having the same issue as OP - My google skills have also indicated an issue with Freetype2 or harfbuzz. I am new to arch so not sure how to switch between version of these packages however here what I am currently using

Apparently a bunch of people are in need of it, so I thought: why not. And it's probably knowledge I'll be able to use for other programs eventually.

Since you've already read about my AppImage, did you try it and also have this issue with it? In that case, I'll probably try to look into it.

About your problem in general, I haven't used an Arch-based distribution yet. Since I'm happy with Gentoo, and that's even more hardcore, I don't really see a reason ?.
If you're only new to Arch, you should probably be capable of fixing these kind of issues, since as I mentioned, Arch is a rather difficult distribution to use. So if you're new to Linux, you should probably rather use some other distribution first (unless you really like the challenge).
A quick googling about pacman/arch and specific versions just told me, that it's "not supported" to install other versions of libraries since it might break something - and in case of freetype, that's probably not totally unlikely.
As for versions, current stable Gentoo-packages (which I put into the AppImages) are:
freetype-2.9.1-r3
harfbuzz-2.6.5

However, usually newer versions don't "loose symbols", so I doubt it'll fix the issue.
You should probably rather continue to try to figure out if other people had similar issues with different programs. E.g. I found this:
https://bbs.archlinux.org/viewtopic.php?pid=1766377 so I'd try "pacman -S fontconfig freetype2 && pacman -Syu"
Or this: https://kb.tecplot.com/2019/09/11/undefined-symbol-ft_done_mm_var/ (there's also a libfreetype.so.6 in HoNs libs-x86_64-directory).

Link to post
Share on other sites

Yeah, I am using the appimage you created and getting this error.  New to Arch but not new to linux, fixing stuff is how I learn so this is a perfect place to start. ?

Tried installing harfbuzz 2.6.5 by using a command called downgrade and downloading older packages into my pkg folder. However, as you suspected this didn't change anything with the error and freetype-2.9.1-r3 is not supported on arch, at least not that I could find.

I then tried "pacman -S fontconfig freetype2 && pacman -Syu" with no change in error.

Finally I deleted libfreetype.so.6 in HoNs libs-x86_64-directory per your suggestion.  Then ran hon.sh and got a new error >

warning: The VAD has been replaced by a hack pending a complete rewrite
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  1 (X_CreateWindow)
  Value in failed request:  0x0
  Serial number of failed request:  82
  Current serial number in output stream:  96

When I looked up this error I found a couple thread talking about it >

Tried doing what this guy suggested and adding the SetSave "gl_modesetting" "" to the startup.cfg in /.Heroes of Newerth/game (NOTE did not have to create this file like others did as it was already there)

Now getting >

***** Fatal Error: CModel::Load() - ModelFile NULL resource failure ******

A black window quickly flashes on the screen and then disappears and the terminal remains open as if something is still running..

I have also tried several version of NVIDIA drivers with no luck

  • Confused 1
Link to post
Share on other sites
12 hours ago, enragedmonk said:

warning: The VAD has been replaced by a hack pending a complete rewrite

This warning (and only this warning) is normal and has been printed since the beta-versions of HoN - don't google it ? .

If you're running my AppImage, you don't really start and "hon.sh" since I've replaced that script with my own ? . But the error still seems weird. I might look into installing Manjaro or Arch in a VM to test it out.

Link to post
Share on other sites

Apparently I've been stupid and didn't actually use the files from my AppImage. I'm still curious how it ran on systems where the actual client wouldn't run (because of intentionally not installed libraries).
However I've setup a Manjaro in a VirtualBox now and I'll try to put more and more libraries into my AppImage until it runs there as well.
I've intentionally not installed all the libraries, since it's rather pointless to install libraries any graphical interface would already provide (all the x-libraries). This way a couple of distributions might have to complain about missing libraries, but I'll eventually add all the required libraries.

I have yet to run into your issue - so we'll see if that'll happen.

//Edit:
Alright, I've fixed more issues - apparently I need to include icu-support into libxml2 or I'll get vid_gl2 errors. Since I've done that now - sadly my Image-size increased to 23 MB!
I'm not uploading that yet, since now I get your ModelFile-issue as well (only on Manjaro), so I'll investigate that.

Edited by Manu311
Link to post
Share on other sites

Awesome, thanks for your continued work on this. I actually found the install someone had on the forums >  http://dl.heroesofnewerth.com/installers/linux/HoNClient.sh

I didn't realize there was still a linux installer out there?

Once I downloaded and installed that the game worked fine! Minus I still had to delete libfreetype.so.6  and oddly the music doesn't work although the rest of the sounds do.  Which am fine with at least I can play he game on the latest version of manjaro and don't have to switch to Windows! Thank God

Oh and yes, I do still get warning: The VAD has been replaced by a hack pending a complete rewrite  - Which I did not know was a thing

Link to post
Share on other sites

Great!

8 hours ago, enragedmonk said:

I didn't realize there was still a linux installer out there?

Yeah sadly that's a little bit hidden and no longer officially supported ? - so FB might not fix it in case something breaks. However in the past usually only Mac broke while Linux was fine ? .

Tbh it's another reason for my AppImage. Since maintaining only one system (inside my AppImage) should be more easy than supporting dozens of distributions. So maybe that'll bring them back to official Linux-support (or they give me access to code to fix it, once it breaks ? ).

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...